<?php

class DatapocketCheckwebhookModuleFrontController extends ModuleFrontController
{

    public function postProcess()
    {
        $data = $this->module->frontControllerHeader(true);

        if(isset($data['token'])) {
            $id = (isset($data['webhookid'])) ? $data['webhookid'] : false;

            die(
                $this->module->checkDatapocketRoute($id)
            );
        } else {
            die(json_encode([
                'status' => 'error',
                'message' => 'missing parameter key',
            ]));
        }
    }

    public function initContent()
    {
        parent::initContent();

        $this->setTemplate('module:datapocket/views/templates/front/checkwebhook.tpl');
    }
}
